> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/reports.md).

# Reports

## Overview

Reports can be used by organization and institution administrators to compile detailed information about how their data is being used. All reports must first be created within the administrator dashboard ([documentation](/guides/administer-an-organization/generate-a-report.md)). They can then be read through the API to facilitate automated pipelines based on report contents.

All reports for an organization or institution can be listed via [report.list](/api/rest-api/reports/list.md), and a single report can be downloaded as a CSB via [report.download](/api/rest-api/reports/download.md).

{% hint style="info" %}
These endpoints assume you have familiarity with this API's [Authorization](/api/rest-api/authorization.md) and [Resource Reference](/api/referencing-resources.md) paradigms.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
